# TabSizeMode

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies how tabs in a [TabControl](/api/wisej.web/containers/tabcontrol.md) are sized.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum TabSizeMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum TabSizeMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                                                                                                  |
| ---------- | ---------------------------------------------------------------------------------------------------------------------------- |
| **Center** | Tab buttons are centered within the width of the [TabControl](/api/wisej.web/containers/tabcontrol.md).                      |
| **Fill**   | The width of each tab button is sized to fill the entire width of the [TabControl](/api/wisej.web/containers/tabcontrol.md). |
| **Fixed**  | All tab buttons use the same width (or height when vertically aligned).                                                      |
| **Normal** | The width (or height when vertically aligned) of each tab button is sized to accommodate its content.                        |

## Used By

| Name                                                                                                                                    | Description                                                                                                                                                                           |
| --------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [TabControl.SizeMode](/api/wisej.web/containers/tabcontrol.md#sizemode)                                                                 | Returns or sets whether the tab buttons should fill the control's size, or placed in the center, or use the size set in [ItemSize](/api/wisej.web/containers/tabcontrol.md#itemsize). |
| [MdiTabProperties.SizeMode](/api/wisej.web/containers/form/wisej.web.mditabproperties.md#sizemode)                                      | Returns or sets whether the tab buttons should fill the control's size, or placed in the center, or aligned to the left.                                                              |
| [TabControlExtensions.SizeMode](/api/wisej.web.markup/extensions/wisej.web.markup.tabcontrolextensions.md#sizemode-tabcontrol-sizemode) | Sets the SizeMode property of the specified [TabControl](/api/wisej.web/containers/tabcontrol.md).                                                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/tabcontrol/wisej.web.tabsizemode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
